using System;
using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.Repository.Request
{
    public class RequestGetToolAlarmLogInfo
    {
        [Required(ErrorMessage = "EmailIsEmpty")]
        public int sectionid { get; set; }
        public int page { get; set; }
        public int pagesize { get; set; }
        [Required(ErrorMessage = "TimeSpanNotNull")]
        public string time_span { get; set; }
        public int alarm_grade { get; set; }
    }


    public class RequestToolAlarmLogInfo
    {
        [Required(ErrorMessage = "EmailIsEmpty")]
        public int sectionid { get; set; }
        [Required(ErrorMessage = "TimeSpanNotNull")]
        public DateTime begin { get; set; }
        public DateTime end { get; set; }

    }


}
